#ifndef	_GGI_VISUAL_H
#define	_GGI_VISUAL_H

#include <ggi/types.h>
#include <ggi/threads.h>

typedef struct ggi_visual {
        struct ggi_visual *next;	/* Next one in the list... */
        ggi_uint	version;               
        ggi_mutex       mutex;		/* Lock when changing.. */
        ggi_info	*info;		/* Info on the mode */
        ggi_library 	*driver;	/* driver library */
        void		*private;	/* driver private data */
        int		extensions;	/* number of extensions-pointers */
	void		**extension;	/* extension pointers */
        void		*dummy[4];	/* For future expansion */
	ggi_gc		*gc;		/* libggi[2d] gc */
        void		*ggi;		/* libggi data */
        void		*ggi2d;		/* libggi2d data */
        /*...*/
} ggi_visual;

#endif	/* #ifdef _GGI_VISUAL_H */
