/* ---------------------------------------------------------------------------
** Copyright (C) 1997, Jon Taylor <taylorj@ecs.csus.edu>
** ------------------------------------------------------------------------
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU Library General Public License as 
** published by the Free Software Foundation; either version 2, or 
** (at your option) any later version.
** 
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU Library General Public License for more details.
**
** You should have received a copy of the GNU Library General Public 
** License along with this program; see the file COPYING.LGPL.  
** If not, write to the Free Software Foundation, 675 Mass Ave, 
** Cambridge, MA 02139, USA.
** ------------------------------------------------------------------------
*/

#include <glide.h>
#include <sys/ipc.h>
#include <sys/shm.h>

struct glide_hooks
{
	
	GrBuffer_t buffer;
	FxU32 x_start, y_start, width, height;
	GrLfbSrcFmt_t src_format;
	FxI32 stride_in_bytes;
	void *data;
};
